Page MenuHomePhabricator

Synchronize user saved pages across devices.
Closed, InvalidPublic

Description

Definition Progress

The following is a checklist for completion of the definition of the Epic. Make sure to check these off as you complete each item.

  • Summary
  • Rationale
  • Success Metrics
  • External Dependencies
  • Unknowns
  • Product Plan
    • Prototyping
    • MVP
    • User stories
    • User Story Phab Tickets
    • Metrics Implementation
    • Metrics Phab Tickets
    • Estimates
    • Delivery Date

Summary / Rationale

This is the first step of the much larger goal of implementing general "collections" on the Android platform. We realized that using the Gather API for the purpose of synchronizing the user's saved pages is a good baby step towards the overall goal. This will enable a much-needed (and much-requested) feature, and simultaneously allow the team to gain a deep familiarity with the Gather API, and get a sense of its capabilities and deficiencies (if any), which will poise us to implement the larger feature set of collections with much greater efficiency and forethought.

Goal Visibility

Reading internal goal

Success Metrics

Still being finalized, but the metrics will be based on engagement with the Saved Pages feature

External Dependencies

This depends on the Gather API, and may require minor updates to the API to suit our needs, but we don't foresee needing any major changes.

Unknowns

What should be the app's behavior when the user saves pages without having logged in with their Wikipedia account?
What kind of onboarding should we have for this feature?

Product Plan

Prototyping

See dependent tasks.

MVP

See mockups in dependent tasks.

Metrics Implementation

We are already instrumenting saved pages, so we will be able to measure the impact of this feature on the usage of saved pages.

Timeline Estimate

List estimates below. These do not have to be exact. These are just used to validate proposed timelines and ship dates.

TaskEstimate
Prototyping1 week
User Testing2 weeks
Mockups2 weeks
Development2 weeks
Beta Testing1 week
  1. Delivery Estimate

Related Objects

StatusAssignedTask
OpenNone
InvalidNone
DuplicateNone
Resolved Niedzielski
Resolved Niedzielski
ResolvedMholloway
ResolvedbearND
DuplicateNone
ResolvedbearND
ResolvedDbrant
ResolvedCharlotte
ResolvedDbrant
ResolvedDbrant
ResolvedDbrant
Resolved Niedzielski
Resolved Niedzielski
Resolved Niedzielski
Resolved Niedzielski

Event Timeline

Dbrant created this task.Dec 2 2015, 4:34 PM
Dbrant raised the priority of this task from to Needs Triage.
Dbrant updated the task description. (Show Details)
Dbrant moved this task to Q3 Android on the Mobile-App-Goals board.
Dbrant added a subscriber: Dbrant.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 2 2015, 4:34 PM
MBinder_WMF triaged this task as Normal priority.Jan 15 2016, 8:13 PM
MBinder_WMF set Security to None.
Dbrant renamed this task from Synchronize the user's saved pages across devices using the Gather API. to Synchronize the user's saved pages across devices..Jan 22 2016, 9:06 PM
MBinder_WMF renamed this task from Synchronize the user's saved pages across devices. to Synchronize user saved pages across devices..Jan 22 2016, 9:36 PM
Dbrant changed the task status from Open to Stalled.Apr 15 2016, 1:15 PM

Stalling until we have a backend to synchronize with.

Change 346804 had a related patch set uploaded (by Dbrant):
[apps/android/wikipedia@master] [PoC] Synchronize reading lists to user's account.

https://gerrit.wikimedia.org/r/346804

Change 346804 abandoned by Dbrant:
[PoC] Synchronize reading lists to user's account.

https://gerrit.wikimedia.org/r/346804

Change 347604 had a related patch set uploaded (by Dbrant):
[apps/android/wikipedia@master] Synchronize reading lists to user's account.

https://gerrit.wikimedia.org/r/347604

Change 347604 merged by jenkins-bot:
[apps/android/wikipedia@master] Synchronize reading lists to user's account.

https://gerrit.wikimedia.org/r/347604

Deskana removed a subscriber: Deskana.Apr 19 2017, 12:36 PM

+1 from OTRS 9898830

+1 from OTRS 9949216

+1 from OTRS 9943486

+1 from OTRS 9922799

+1 from OTRS 9947254

+1 from OTRS 9953195

+1 from OTRS 9999663

+1 from OTRS 9972929

Dbrant closed this task as Invalid.Jan 9 2018, 8:16 PM

Superseded by T180189